[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.AssignTo

Implements assignment of the control to an Action object, or calls the inherited method.

## Declaration

Source position: controls.pp line 1505

`protected procedure TControl.AssignTo(`
`Dest: TPersistent`
`); override;`

## Arguments

`Dest` |  | Destination object which receives values copied in the method.

## Description

Properties copied in the method include:

- Enabled
- Hint
- Caption
- Visible
- OnExecute (copied to OnClick in the destination object)
- HelpContext
- HelpKeyword
- HelpType

## See also

TPersistent.Assign